Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.api
Class Action

    java.lang.Object
      |
      +--com.macromedia.generator.api.GenObject
            |
            +--com.macromedia.generator.api.Action

public class Action
extends GenObject

Field Summary
`static int` | `bsIdleToOverDown`
`static int` | `bsIdleToOverUp`
`static int` | `bsOutDownToIdle`
`static int` | `bsOutDownToOverDown`
`static int` | `bsOverDownToIdle`
`static int` | `bsOverDownToOutDown`
`static int` | `bsOverDownToOverUp`
`static int` | `bsOverUpToIdle`
`static int` | `bsOverUpToOverDown`
`static int` | `GET`
`static int` | `NOSEND`
`static int` | `POST`
`static int` | `PROP_ALPHA`
`static int` | `PROP_NAME`
`static int` | `PROP_ROTATION`
`static int` | `PROP_VISIBILITY`
`static int` | `PROP_X_POSITION`
`static int` | `PROP_X_SCALE`
`static int` | `PROP_Y_POSITION`
`static int` | `PROP_Y_SCALE`

Fields inherited from class com.macromedia.generator.api.GenObject
`peer`

Constructor Summary
`` | `Action()`
`protected` | `Action(int i)`

Method Summary
`void` | `addAdd()`
`void` | `addAnd()`
`void` | `addAsciiToChar()`
`void` | `addCall()`
`void` | `addCharToAscii()`
`void` | `addCloneSprite()`
`void` | `addDivide()`
`void` | `addEndDrag()`
`void` | `addEndIf()`
`void` | `addEndJump()`
`void` | `addEq()`
`void` | `addGetProperty()`
`void` | `addGetTime()`
`void` | `addGetURL(java.lang.String s, java.lang.String s1)`
`void` | `addGetURL2(int i)`
`void` | `addGetVariable()`
`void` | `addGotoFrame(int i)`
`void` | `addGotoFrame2()`
`void` | `addGotoLabel(java.lang.String s)`
`void` | `addIf()`
`void` | `addJump()`
`void` | `addLess()`
`void` | `addMBAsciiToChar()`
`void` | `addMBCharToAscii()`
`void` | `addMBStringExtract()`
`void` | `addMBStringLength()`
`void` | `addMultiply()`
`void` | `addNextFrame()`
`void` | `addNot()`
`void` | `addOr()`
`void` | `addPlay()`
`void` | `addPop()`
`void` | `addPrevFrame()`
`void` | `addPush(java.lang.String s)`
`void` | `addPushProperty(int i)`
`void` | `addRandomNumber()`
`void` | `addRemoveSprite()`
`void` | `addSetProperty()`
`void` | `addSetTarget2()`
`void` | `addSetVariable()`
`void` | `addSetVariableArgs(java.lang.String s, java.lang.String s1)`
`void` | `addStartDrag()`
`void` | `addStop()`
`void` | `addStopSounds()`
`void` | `addStringAdd()`
`void` | `addStringEq()`
`void` | `addStringExtract()`
`void` | `addStringLength()`
`void` | `addStringLess()`
`void` | `addSubtract()`
`void` | `addTellTarget(java.lang.String s)`
`void` | `addToggleQuality()`
`void` | `addToInteger()`
`void` | `addTrace()`
`void` | `addWaitForFrame(int i)`
`void` | `addWaitForFrame2()`
`protected void` | `finalize()`
`void` | `release()`
`void` | `setTransitionState(int i)`

Methods inherited from class com.macromedia.generator.api.GenObject
`getPeer`

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bsIdleToOverUp

    public static final int bsIdleToOverUp

### bsOverUpToIdle

    public static final int bsOverUpToIdle

### bsOverUpToOverDown

    public static final int bsOverUpToOverDown

### bsOverDownToOverUp

    public static final int bsOverDownToOverUp

### bsOverDownToOutDown

    public static final int bsOverDownToOutDown

### bsOutDownToOverDown

    public static final int bsOutDownToOverDown

### bsOutDownToIdle

    public static final int bsOutDownToIdle

### bsIdleToOverDown

    public static final int bsIdleToOverDown

### bsOverDownToIdle

    public static final int bsOverDownToIdle

### NOSEND

    public static final int NOSEND

### GET

    public static final int GET

### POST

    public static final int POST

### PROP_X_POSITION

    public static final int PROP_X_POSITION

### PROP_Y_POSITION

    public static final int PROP_Y_POSITION

### PROP_X_SCALE

    public static final int PROP_X_SCALE

### PROP_Y_SCALE

    public static final int PROP_Y_SCALE

### PROP_ALPHA

    public static final int PROP_ALPHA

### PROP_VISIBILITY

    public static final int PROP_VISIBILITY

### PROP_ROTATION

    public static final int PROP_ROTATION

### PROP_NAME

    public static final int PROP_NAME

Constructor Detail

### Action

    public Action()
           throws GeneratorApiException

### Action

    protected Action(int i)
              throws GeneratorApiException

Method Detail

### addAdd

    public void addAdd()
                throws GeneratorApiException

### addAnd

    public void addAnd()
                throws GeneratorApiException

### addAsciiToChar

    public void addAsciiToChar()
                        throws GeneratorApiException

### addCall

    public void addCall()
                 throws GeneratorApiException

### addCharToAscii

    public void addCharToAscii()
                        throws GeneratorApiException

### addCloneSprite

    public void addCloneSprite()
                        throws GeneratorApiException

### addDivide

    public void addDivide()
                   throws GeneratorApiException

### addEndDrag

    public void addEndDrag()
                    throws GeneratorApiException

### addEndIf

    public void addEndIf()
                  throws GeneratorApiException

### addEndJump

    public void addEndJump()
                    throws GeneratorApiException

### addEq

    public void addEq()
               throws GeneratorApiException

### addGetProperty

    public void addGetProperty()
                        throws GeneratorApiException

### addGetTime

    public void addGetTime()
                    throws GeneratorApiException

### addGetURL

    public void addGetURL(java.lang.String s,
                          java.lang.String s1)
                   throws GeneratorApiException

### addGetURL2

    public void addGetURL2(int i)
                    throws GeneratorApiException

### addGetVariable

    public void addGetVariable()
                        throws GeneratorApiException

### addGotoFrame

    public void addGotoFrame(int i)
                      throws GeneratorApiException

### addGotoFrame2

    public void addGotoFrame2()
                       throws GeneratorApiException

### addGotoLabel

    public void addGotoLabel(java.lang.String s)
                      throws GeneratorApiException

### addIf

    public void addIf()
               throws GeneratorApiException

### addJump

    public void addJump()
                 throws GeneratorApiException

### addLess

    public void addLess()
                 throws GeneratorApiException

### addMBAsciiToChar

    public void addMBAsciiToChar()
                          throws GeneratorApiException

### addMBCharToAscii

    public void addMBCharToAscii()
                          throws GeneratorApiException

### addMBStringExtract

    public void addMBStringExtract()
                            throws GeneratorApiException

### addMBStringLength

    public void addMBStringLength()
                           throws GeneratorApiException

### addMultiply

    public void addMultiply()
                     throws GeneratorApiException

### addNextFrame

    public void addNextFrame()
                      throws GeneratorApiException

### addNot

    public void addNot()
                throws GeneratorApiException

### addOr

    public void addOr()
               throws GeneratorApiException

### addPlay

    public void addPlay()
                 throws GeneratorApiException

### addPop

    public void addPop()
                throws GeneratorApiException

### addPrevFrame

    public void addPrevFrame()
                      throws GeneratorApiException

### addPush

    public void addPush(java.lang.String s)
                 throws GeneratorApiException

### addPushProperty

    public void addPushProperty(int i)
                         throws GeneratorApiException

### addRandomNumber

    public void addRandomNumber()
                         throws GeneratorApiException

### addRemoveSprite

    public void addRemoveSprite()
                         throws GeneratorApiException

### addSetProperty

    public void addSetProperty()
                        throws GeneratorApiException

### addSetTarget2

    public void addSetTarget2()
                       throws GeneratorApiException

### addSetVariable

    public void addSetVariable()
                        throws GeneratorApiException

### addSetVariableArgs

    public void addSetVariableArgs(java.lang.String s,
                                   java.lang.String s1)
                            throws GeneratorApiException

### addStartDrag

    public void addStartDrag()
                      throws GeneratorApiException

### addStop

    public void addStop()
                 throws GeneratorApiException

### addStopSounds

    public void addStopSounds()
                       throws GeneratorApiException

### addStringAdd

    public void addStringAdd()
                      throws GeneratorApiException

### addStringEq

    public void addStringEq()
                     throws GeneratorApiException

### addStringExtract

    public void addStringExtract()
                          throws GeneratorApiException

### addStringLength

    public void addStringLength()
                         throws GeneratorApiException

### addStringLess

    public void addStringLess()
                       throws GeneratorApiException

### addSubtract

    public void addSubtract()
                     throws GeneratorApiException

### addTellTarget

    public void addTellTarget(java.lang.String s)
                       throws GeneratorApiException

### addToInteger

    public void addToInteger()
                      throws GeneratorApiException

### addToggleQuality

    public void addToggleQuality()
                          throws GeneratorApiException

### addTrace

    public void addTrace()
                  throws GeneratorApiException

### addWaitForFrame

    public void addWaitForFrame(int i)
                         throws GeneratorApiException

### addWaitForFrame2

    public void addWaitForFrame2()
                          throws GeneratorApiException

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`

### release

    public void release()

  Overrides:
    `release` in class `GenObject`

### setTransitionState

    public void setTransitionState(int i)
                            throws GeneratorApiException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD